[packages/tzdata] status: return failure if everything not ok
glen
glen at pld-linux.org
Tue Nov 26 23:53:21 CET 2013
commit f720b8daf02a554804a1527f4ccb3eccf9596606
Author: Elan Ruusamäe <glen at delfi.ee>
Date: Wed Nov 27 00:53:17 2013 +0200
status: return failure if everything not ok
timezone.init | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
---
diff --git a/timezone.init b/timezone.init
index 9e6aed1..5b52348 100755
--- a/timezone.init
+++ b/timezone.init
@@ -58,6 +58,8 @@ disable() {
# return true if FILE1 and FILE2 are identical
identical() {
local crc1 crc2
+ test -f "$1" || return 1
+ test -f "$2" || return 1
crc1=$(cksum "$1" | awk '{print $1}')
crc2=$(cksum "$2" | awk '{print $1}')
[ "$crc1" = "$crc2" ]
@@ -83,8 +85,10 @@ case "$1" in
nls 'Timezone is configured to %s' "$TIMEZONE"
if [ ! -f "$ZONE_FILE" ]; then
nls "Missing %s file" "$ZONE_FILE"
+ exit 1
elif ! identical "$ZONE_FILE" /etc/localtime; then
- nls 'Current time zone differs from %s!' "$TIMEZONE"
+ nls 'Current time zone differs from %s' "$TIMEZONE"
+ exit 1
fi
;;
*)
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/tzdata.git/commitdiff/f720b8daf02a554804a1527f4ccb3eccf9596606
More information about the pld-cvs-commit
mailing list